package org.jenkinsci.plugins.p4.changes;

import java.util.List;
import java.util.ArrayList;


/**
 *
 * @author dawn
 */
public class P4CBDStructureChangeEntry {
	
	private String depotpath;
	private boolean isnewmodule;
	private boolean isremovedmodule;
	private boolean codelinediffers;
	private boolean wspathdiffers;
	
	private List<String> addedSubdirs;
	private List<String> removedSubdirs;
	private List<String> addedSubfiles;
	private List<String> removedSubfiles;
	
	
	public P4CBDStructureChangeEntry() {
		
		depotpath = "";
		isnewmodule = false;
		isremovedmodule = false;
		codelinediffers = false;
		wspathdiffers = false;
		
		addedSubdirs = new ArrayList<String>();
		removedSubdirs = new ArrayList<String>();
		addedSubfiles = new ArrayList<String>();
		removedSubfiles = new ArrayList<String>();
	}
	
	
	public void setDepotpath(String depotpath) {
        this.depotpath = depotpath;
    }
	
	public void setIsnewmodule() {
		this.isnewmodule = true;
    }
	
	public void setIsremovedmodule() {
		this.isremovedmodule = true;
    }
	
	public void setCodelinediffers(String codelinediffers) {
		if (codelinediffers.equals("True")) {
			this.codelinediffers = true;
		}
    }
	
	public void setWspathdiffers(String wspathdiffers) {
		if (wspathdiffers.equals("True")) {
			this.wspathdiffers = true;
		}
    }
	
	public void addAddedSubdir(String subdir) {
        addedSubdirs.add(subdir);
    }
	
	public void addRemovedSubdir(String subdir) {
        removedSubdirs.add(subdir);
    }
	
	public boolean hasAddedSubdirs() {
        if (addedSubdirs.isEmpty()) {
			return false;
		}
		else {
			return true;
		}
    }
	
	public boolean hasRemovedSubdirs() {
        if (removedSubdirs.isEmpty()) {
			return false;
		}
		else {
			return true;
		}
    }
	
	public void addAddedSubfile(String subfile) {
        addedSubfiles.add(subfile);
    }
	
	public void addRemovedSubfile(String subfile) {
        removedSubfiles.add(subfile);
    }
	
	public boolean hasAddedSubfiles() {
        if (addedSubfiles.isEmpty()) {
			return false;
		}
		else {
			return true;
		}
    }
	
	public boolean hasRemovedSubfiles() {
        if (removedSubfiles.isEmpty()) {
			return false;
		}
		else {
			return true;
		}
    }
	
	public String getDepotpath(){
        return depotpath;
    }
	
	public boolean getIsnewmodule() {
		return this.isnewmodule;
    }
	
	public boolean getIsremovedmodule() {
		return this.isremovedmodule;
    }
	
	public boolean getCodelinediffers(){
        return codelinediffers;
    }
	
	public boolean getWspathdiffers(){
        return wspathdiffers;
    }
	
	public List<String> getAddedSubdirs(){
        return addedSubdirs;
    }
	
	public List<String> getRemovedSubdirs(){
        return removedSubdirs;
    }
	
	public List<String> getAddedSubfiles(){
        return addedSubfiles;
    }
	
	public List<String> getRemovedSubfiles(){
        return removedSubfiles;
    }
}
