package org.jenkinsci.plugins.p4.changes;


import hudson.model.InvisibleAction;

/**
 * Class to hold some data about the changelog creation process for a build
 * @author dawn
 */
public class P4ChangeCreationData extends InvisibleAction {
	
	
	private final String description;
	private final int previousBuildNum;  // Build that the changelog was comparing against
	
	public P4ChangeCreationData(String description, int previousBuildNum) {
		this.description = description;
		this.previousBuildNum = previousBuildNum;
	}
	
	
	public String getDescription() {
        return description; 
    }
	
	public int getPreviousBuildNum() {
        return previousBuildNum; 
    }
}
